Loading...
Searching...
No Matches
BellmanFord< GR, LEN, TR >::ActiveIt Class Reference

## Detailed Description

template<typename GR, typename LEN, typename TR>
class lemon::BellmanFord< GR, LEN, TR >::ActiveIt

This class provides a common style LEMON iterator that traverses the active nodes of the Bellman-Ford algorithm after the last phase. These nodes should be checked in the next phase to find augmenting arcs outgoing from them.

`#include <lemon/bellman_ford.h>`

## Public Member Functions

| ActiveIt (const BellmanFord &algorithm)
| Constructor.
| ActiveIt (Invalid)
| Invalid constructor.
| operator Node () const
| Conversion to `Node`.
ActiveIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## ActiveIt() [1/2]

template<typename GR, typename LEN, typename TR>

ActiveIt | ( | const BellmanFord & | algorithm | ) |

inline

Constructor for getting the active nodes of the given BellmanFord instance.

## ActiveIt() [2/2]

template<typename GR, typename LEN, typename TR>

ActiveIt | ( | Invalid |  | ) |

inline

Invalid constructor.

## Member Function Documentation

## operator Node()

template<typename GR, typename LEN, typename TR>

operator Node | ( |  | ) | const

inline

Conversion to `Node`.

## operator++()

template<typename GR, typename LEN, typename TR>

ActiveIt & operator++ | ( |  | ) |

inline

Increment operator.